<template>
    <div class="header-container">
        <BNavbar toggleable="lg" type="dark" variant="dark">
            <BNavbarBrand href="#" class="ml-3"> Arvan Challenge </BNavbarBrand>
            <BNavText class="hide-in-responsive whiteText">welcome {{ userName }}</BNavText>

            <BCollapse id="nav-collapse" class="d-flex" is-nav>
                <!-- Right aligned nav items -->
                <BNavbarNav class="ml-auto d-block">
                    <BButton size="md" variant="outline-info" class="my-0 header-logout-btn" type="button" @click.prevent="logout"> Logout </BButton>
                </BNavbarNav>
            </BCollapse>
        </BNavbar>
    </div>
</template>

<script>
export default {
    name: 'AppHeader',
    data() {
        return {
            userName: this.$cookie.get('auth') ? JSON.parse(this.$cookie.get('auth')).name : '',
        };
    },
    methods: {
        logout() {
            /* remove cookie */
            this.$cookie.delete('auth');
            /* redirect to login */
            this.$router.push('/login');
        },
    },
};
</script>

<style scoped lang="scss">
.header-container {
    z-index: 20;
    position: fixed;
    width: 100%;
    top: 0;
}
.header-logout-btn {
    font-size: 16px;
    line-height: 1.5;
    padding: 8px 17px;
    margin-right: 20px;
}
@media (max-width: 425px) {
    .hide-in-responsive {
        display: none;
    }
}
</style>
